#include <akaxiso/akaxiso.h>
#include <akaxiso/content_model.h>
#include <iostream>

int main() {
  aka::initialize();
  aka::doctype("smallest_document", aka::nill_leaf());

  aka::nill root; // Document root node.

  aka::xml_serializer ser;
  ser.serialize(root, "smallest_document", std::cout);
  aka::uninitialize();
}
